#pragma once
#include <map>
struct M_ScreenWordData
{
	//±àºÅ
	int mID;
	//ÆÁ±Î×Ö
	std::string mName;
};

class M_ScreenWord
{
public:
private:
	static std::auto_ptr<M_ScreenWord> msSingleton;
public:
	int GetCount();
	const M_ScreenWordData* GetData(int ID);
	const std::map<int, M_ScreenWordData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ScreenWord* GetSingleton();
	static void Release();
private:
	std::map<int, M_ScreenWordData> mMapData;
};
